Subject: Re: CINVA RAM Block Press

From: "Douglas P. Hayter" <[email-masked]>
Date: Wed, 28 Aug 1996 18:08:36 -0700

Paul G.McHenry wrote:
> 
> Help...help...
> 
> I'm looking for information on what the status is and where one might
> purchase a CINVA RAM, used by the Peace Corps in Latin America.  This

Paul,
I might be able to help you. My father worked at IBEC, a company out of
New York. IBEC worked closely with the CINVA company and Dr. Ramirez in
Bogota Columbia, the Cinva Ram's origin (and name sake). Send me e-mail.